// Copyright 2000-2023 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.ide.startup.importSettings;

import com.intellij.ui.IconManager;
import org.jetbrains.annotations.NotNull;

import javax.swing.*;

/**
 * NOTE THIS FILE IS AUTO-GENERATED
 * DO NOT EDIT IT BY HAND, run "Generate icon classes" configuration instead
 */
public final class StartupImportIcons {
  private static @NotNull Icon load(@NotNull String path, int cacheKey, int flags) {
    return IconManager.getInstance().loadRasterizedIcon(path, StartupImportIcons.class.getClassLoader(), cacheKey, flags);
  }

  public static final class Icons {
    /** 16x32 */ public static final @NotNull Icon Build = load("icons/build.svg", 263576131, 0);
    /** 16x16 */ public static final @NotNull Icon ColorPicker = load("icons/colorPicker.svg", -2131734344, 0);
    /** 20x20 */ public static final @NotNull Icon ConfigFile = load("icons/configFile.svg", 1186090686, 0);
    /** 16x32 */ public static final @NotNull Icon Json = load("icons/json.svg", -322377413, 0);
    /** 16x16 */ public static final @NotNull Icon Keyboard = load("icons/keyboard.svg", -1617681176, 0);
    /** 16x16 */ public static final @NotNull Icon Plugin = load("icons/plugin.svg", 62738285, 0);
    /** 16x16 */ public static final @NotNull Icon Recent = load("icons/recent.svg", -1439746341, 0);
    /** 16x16 */ public static final @NotNull Icon Settings = load("icons/settings.svg", -1557837202, 0);
  }

  public static final class IdeIcons {
    /** 20x20 */ public static final @NotNull Icon AC_20 = load("ideIcons/AC_20.svg", -1074688217, 0);
    /** 24x24 */ public static final @NotNull Icon AC_24 = load("ideIcons/AC_24.svg", -1828838322, 0);
    /** 48x48 */ public static final @NotNull Icon AC_48 = load("ideIcons/AC_48.svg", -1086304524, 0);
    /** 20x20 */ public static final @NotNull Icon Aqua_20 = load("ideIcons/Aqua_20.svg", 1419540292, 0);
    /** 20x20 */ public static final @NotNull Icon Aqua_24 = load("ideIcons/Aqua_24.svg", 1697776617, 0);
    /** 48x48 */ public static final @NotNull Icon Aqua_48 = load("ideIcons/Aqua_48.svg", -320932002, 0);
    /** 20x20 */ public static final @NotNull Icon CL_20 = load("ideIcons/CL_20.svg", -2069965985, 0);
    /** 24x24 */ public static final @NotNull Icon CL_24 = load("ideIcons/CL_24.svg", -1125680806, 0);
    /** 48x48 */ public static final @NotNull Icon CL_48 = load("ideIcons/CL_48.svg", 1758814634, 0);
    /** 20x20 */ public static final @NotNull Icon DG_20 = load("ideIcons/DG_20.svg", 964650503, 0);
    /** 24x24 */ public static final @NotNull Icon DG_24 = load("ideIcons/DG_24.svg", 1115587517, 0);
    /** 48x48 */ public static final @NotNull Icon DG_48 = load("ideIcons/DG_48.svg", 506861428, 0);
    /** 20x20 */ public static final @NotNull Icon DS_20 = load("ideIcons/DS_20.svg", 2058444582, 0);
    /** 24x24 */ public static final @NotNull Icon DS_24 = load("ideIcons/DS_24.svg", 446942279, 0);
    /** 48x48 */ public static final @NotNull Icon DS_48 = load("ideIcons/DS_48.svg", -1091357738, 0);
    /** 20x20 */ public static final @NotNull Icon GO_20 = load("ideIcons/GO_20.svg", 1074840921, 0);
    /** 24x24 */ public static final @NotNull Icon GO_24 = load("ideIcons/GO_24.svg", -790177168, 0);
    /** 48x48 */ public static final @NotNull Icon GO_48 = load("ideIcons/GO_48.svg", -526618945, 0);
    /** 20x20 */ public static final @NotNull Icon IC_20 = load("ideIcons/IC_20.svg", 1658499971, 0);
    /** 24x24 */ public static final @NotNull Icon IC_24 = load("ideIcons/IC_24.svg", 126175045, 0);
    /** 48x48 */ public static final @NotNull Icon IC_48 = load("ideIcons/IC_48.svg", -674530529, 0);
    /** 20x20 */ public static final @NotNull Icon IU_20 = load("ideIcons/IU_20.svg", -1515530997, 0);
    /** 24x24 */ public static final @NotNull Icon IU_24 = load("ideIcons/IU_24.svg", 1638831638, 0);
    /** 48x48 */ public static final @NotNull Icon IU_48 = load("ideIcons/IU_48.svg", -568848933, 0);
    /** 20x20 */ public static final @NotNull Icon MPS_20 = load("ideIcons/MPS_20.svg", -200340544, 0);
    /** 24x24 */ public static final @NotNull Icon MPS_24 = load("ideIcons/MPS_24.svg", -1783947303, 0);
    /** 48x48 */ public static final @NotNull Icon MPS_48 = load("ideIcons/MPS_48.svg", -22869970, 0);
    /** 20x20 */ public static final @NotNull Icon PC_20 = load("ideIcons/PC_20.svg", 1703482525, 0);
    /** 24x24 */ public static final @NotNull Icon PC_24 = load("ideIcons/PC_24.svg", 1347613421, 0);
    /** 48x48 */ public static final @NotNull Icon PC_48 = load("ideIcons/PC_48.svg", 1704016783, 0);
    /** 20x20 */ public static final @NotNull Icon PS_20 = load("ideIcons/PS_20.svg", -709877024, 0);
    /** 24x24 */ public static final @NotNull Icon PS_24 = load("ideIcons/PS_24.svg", -2047832563, 0);
    /** 48x48 */ public static final @NotNull Icon PS_48 = load("ideIcons/PS_48.svg", 1353026791, 0);
    /** 20x20 */ public static final @NotNull Icon PY_20 = load("ideIcons/PY_20.svg", 2046087843, 0);
    /** 24x24 */ public static final @NotNull Icon PY_24 = load("ideIcons/PY_24.svg", -2037455041, 0);
    /** 48x48 */ public static final @NotNull Icon PY_48 = load("ideIcons/PY_48.svg", 476804357, 0);
    /** 20x20 */ public static final @NotNull Icon RD_20 = load("ideIcons/RD_20.svg", 623676909, 0);
    /** 24x24 */ public static final @NotNull Icon RD_24 = load("ideIcons/RD_24.svg", -491903626, 0);
    /** 48x48 */ public static final @NotNull Icon RD_48 = load("ideIcons/RD_48.svg", -1846481914, 0);
    /** 20x20 */ public static final @NotNull Icon RM_20 = load("ideIcons/RM_20.svg", -467039535, 0);
    /** 24x24 */ public static final @NotNull Icon RM_24 = load("ideIcons/RM_24.svg", 45873403, 0);
    /** 48x48 */ public static final @NotNull Icon RM_48 = load("ideIcons/RM_48.svg", 825071223, 0);
    /** 20x20 */ public static final @NotNull Icon RR_20 = load("ideIcons/RR_20.svg", 1365215482, 0);
    /** 24x24 */ public static final @NotNull Icon RR_24 = load("ideIcons/RR_24.svg", -1347118583, 0);
    /** 48x48 */ public static final @NotNull Icon RR_48 = load("ideIcons/RR_48.svg", -1842561134, 0);
    /** 20x20 */ public static final @NotNull Icon Writerside_20 = load("ideIcons/Writerside_20.svg", 89548907, 0);
    /** 24x24 */ public static final @NotNull Icon Writerside_24 = load("ideIcons/Writerside_24.svg", 2013081357, 0);
    /** 48x48 */ public static final @NotNull Icon Writerside_48 = load("ideIcons/Writerside_48.svg", -1907506261, 0);
    /** 20x20 */ public static final @NotNull Icon WS_20 = load("ideIcons/WS_20.svg", -1898489258, 0);
    /** 24x24 */ public static final @NotNull Icon WS_24 = load("ideIcons/WS_24.svg", -1152695022, 0);
    /** 48x48 */ public static final @NotNull Icon WS_48 = load("ideIcons/WS_48.svg", -1820788555, 0);
  }

  public static final class IdeNames {
    /** 145x29 */ public static final @NotNull Icon AC = load("ideNames/AC.svg", -2022301558, 2);
    /** 77x29 */ public static final @NotNull Icon Aqua = load("ideNames/Aqua.svg", 689940552, 2);
    /** 227x24 */ public static final @NotNull Icon AS = load("ideNames/AS.svg", 1619827372, 2);
    /** 87x24 */ public static final @NotNull Icon CL = load("ideNames/CL.svg", -952791123, 2);
    /** 140x29 */ public static final @NotNull Icon DG = load("ideNames/DG.svg", 1972725857, 2);
    /** 143x29 */ public static final @NotNull Icon DS = load("ideNames/DS.svg", 1754791872, 2);
    /** 119x24 */ public static final @NotNull Icon GO = load("ideNames/GO.svg", -693864257, 2);
    /** 291x67 */ public static final @NotNull Icon IC = load("ideNames/IC.svg", -1523330134, 2);
    /** 312x25 */ public static final @NotNull Icon IU = load("ideNames/IU.svg", 1956857230, 2);
    /** 67x24 */ public static final @NotNull Icon MPS = load("ideNames/MPS.svg", 2042563748, 2);
    /** 291x66 */ public static final @NotNull Icon PC = load("ideNames/PC.svg", -790053601, 2);
    /** 149x29 */ public static final @NotNull Icon PS = load("ideNames/PS.svg", 419094735, 2);
    /** 301x61 */ public static final @NotNull Icon PY = load("ideNames/PY.svg", 846931481, 2);
    /** 78x24 */ public static final @NotNull Icon RD = load("ideNames/RD.svg", 138410788, 2);
    /** 154x29 */ public static final @NotNull Icon RM = load("ideNames/RM.svg", 1949968562, 2);
    /** 154x24 */ public static final @NotNull Icon RR = load("ideNames/RR.svg", -251128189, 2);
    /** 163x24 */ public static final @NotNull Icon WS = load("ideNames/WS.svg", 1353680367, 2);
  }

  public static final class Vscode {
    /** 20x20 */ public static final @NotNull Icon VSCode_20 = load("vscode/VSCode_20.svg", 816236048, 0);
    /** 24x24 */ public static final @NotNull Icon VSCode_24 = load("vscode/VSCode_24.svg", -1984837998, 0);
    /** 48x48 */ public static final @NotNull Icon VSCode_48 = load("vscode/VSCode_48.svg", -291179470, 0);
  }
}
